API ReferenceWorkload Timeline
Returns Tasks assigned to the User with workload info
Returns Tasks assigned to the User with workload info
Authorization
apiKey Authorization<token>
Value for the Authorization header parameter.
In: header
Path Parameters
userId*string
WorkloadTimeline identifier
Query Parameters
dateStart*string
Format
date-timedateEnd*string
Format
date-timeprojectIds[]?array<>
stageIds[]?array<>
boardIds[]?array<>
assignedUserIds[]?array<>
projectCategoryIds[]?array<>
taskTypeIds[]?array<>
boardColumnStatuses[]?array<>
showTasksWithoutTimePlanned?boolean
Default
falseorder[name]?string
Value in
- "asc"
- "desc"
order[dateStart]?string
Value in
- "asc"
- "desc"
order[dateEnd]?string
Value in
- "asc"
- "desc"
order[priority]?string
Value in
- "asc"
- "desc"
Response Body
curl -X GET "https://example.com/project/workload/timeline-by-user/string?dateStart=2019-08-24T14%3A15%3A22Z&dateEnd=2019-08-24T14%3A15%3A22Z"{ "userId": "string", "tasks": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "shortCode": "string", "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8", "projectName": "string", "stageName": "string", "boardName": "string", "boardId": "a654038e-9287-48a2-acfd-90b8cfa8b1f4", "status": "in-preparation", "priority": "low", "assignedTaskUsers": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "projectUser": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "pictureLg": "string", "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "canLogIn": true, "phoneNumber": "string", "jobPositionName": "string", "hourlyRate": null, "isExternal": true, "decorator": "string" }, "timePlanned": 0, "role": "none" } ], "dateStart": "2019-08-24T14:15:22Z", "dateEnd": "2019-08-24T14:15:22Z", "timePlanned": 0, "userTimePlanned": 0, "userTimeReported": 0, "taskTypes": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "decorator": "#78909c", "tasks": [ "https://example.com/" ], "categories": [ "https://example.com/" ] } ], "permissions": { "canRetrieve": true, "canEdit": true, "canEditDates": true, "canDelete": true, "canSetReadOnly": true, "canChangeStatus": true, "isMovable": true, "canGetReportedClocks": true, "canSeeAssignedTaskUsersTimePlanned": true, "canManageAssignedTaskUsersTimePlanned": true } } ], "projects": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "role": "none", "no": "string", "dateStart": "2019-08-24T14:15:22Z", "dateEnd": "2019-08-24T14:15:22Z", "dateStartPlanned": "2019-08-24T14:15:22Z", "dateEndPlanned": "2019-08-24T14:15:22Z", "shortCode": "string", "isSimple": false } ]}